MDASSEMBLE(8)

NAME
mdassemble - assemble MD devices aka Linux Software RAID

SYNOPSIS
mdassemble

DESCRIPTION
mdassemble is a tiny program that can be used to assemble MD devices inside an initial ramdisk (initrd) or initramfs; it is meant to replace the in-kernel automatic raid detection and activation. It can be built statically and linked against lightweight libc alternatives, like dietlibc, klibc or uClibc.

USAGE
Invoking mdassemble has the same effect as invoking mdadm --assemble --scan.

Invoking mdassemble a second time will make all defined arrays readwrite, this is useful if using the start_ro module parameter.

OPTIONS
There are no options to mdassemble.

FILES

  /etc/mdadm.conf
The config file lists which devices may be scanned to see if they contain MD super block, and gives identifying information (e.g. UUID) about known MD arrays. See mdadm.conf(5) for more details. mdassemble supports all configuration parameters defined in mdadm.conf with the exception of auto= which is supported only if mdadm was built with the -DMDASSEMBLE_AUTO define.

SEE ALSO

mdadm(8), mdadm.conf(5), md(4), diet(1).